/**
 * Defines standard orientations
 */
declare enum Orientation {
    'horizontal',
    'vertical',
}

/**
 * Defines default sizes
 */
declare enum Sizes {
    'xs',
    'sm',
    'md',
    'lg',
    'xl',
}

/**
 * Defines available color themes
 */
declare enum Variant {
    'primary',
    'secondary',
    'white',
    'tertiary',
    'danger',
    'danger-tertiary',
}

interface IOptionProps {
    /**
     * Defines the display label of an option
     */
    label?: string
    /**
     * Defines the option unique id
     */
    id?: string | number
    /**
     * Defines the value of an option
     */
    value?: string
    /**
     * Defines the group it belongs to
     */
    group?: string
}

/**
 * Defines the string type
 */
declare type IString = string | undefined

export { IOptionProps, Orientation, Sizes, IString, Variant }
