/// <reference types="react" />
import { Placement } from '../image-avatar/ImageAvatar';
export interface IAvatarProps {
    /**
     * To set the background color of the avatar. If not provided, it will take default.
     */
    bgColor?: string;
    /**
     * Defines image that displays on the avatar instead of plain text
     */
    image?: string;
    /**
     * This will decide whether avatar appear rectangular or circular
     */
    isCircled?: boolean;
    /**
     * Text that appers on the avatar
     */
    name: string;
    /**
     * When using image avatar, this defined the position of popover.
     */
    placement?: Placement;
    /**
     * This defines various size of avatar.
     */
    size?: 'lg' | 'md' | 'sm';
    /**
     * Defines text color of the avatar, if not provided, it will take default.
     */
    textColor?: string;
}
export default function Avatar({ bgColor, image, isCircled, name, placement, size, textColor, ...others }: IAvatarProps): JSX.Element;
//# sourceMappingURL=Avatar.d.ts.map