import React from 'react';
export interface ICheckboxProps extends Omit<React.ComponentPropsWithoutRef<'input'>, 'onChange'> {
    /**
     * Defines the checked state of the checkbox
     */
    checked: boolean;
    /**
     * Defines the Checkbox container layout
     */
    groupClassName?: string;
    /**
     * Defines the Checkbox label
     */
    label?: React.ReactNode;
    /**
     * Defines the Checkbox label props
     * see Label component props
     */
    labelProps?: any;
    /**
     * Defines the change event on checkbox
     */
    onChange: (checked: boolean) => void;
}
declare const Checkbox: React.ForwardRefExoticComponent<ICheckboxProps & React.RefAttributes<HTMLInputElement>>;
export default Checkbox;
//# sourceMappingURL=Checkbox.d.ts.map