import React from 'react';
import { IOptionProps } from '../../@types';
export declare const dropdownContainerClass = "absolute w-full py-2 mt-2 focus:outline-none bg-white rounded-md border border-gray-300 shadow-2xl";
export interface IDropdownListProps<T> {
    /**
     * Defines the appearance of the Dropdown list
     */
    className?: string;
    /**
     * Defines the options to be rendered
     */
    options: T[];
    /**
     * Defines the icon class for selected option
     */
    iconClass?: string;
    /**
     * Defines the layout or appearance option item
     */
    optionClass?: string;
}
declare const DropdownList: React.ForwardRefExoticComponent<IDropdownListProps<IOptionProps> & React.RefAttributes<HTMLUListElement>>;
export default DropdownList;
//# sourceMappingURL=DropdownList.d.ts.map