import React from 'react';
import { IDialogProps } from '../dialog/Dialog';
export interface IFormDialogProps extends IDialogProps {
    /**
     * Defines icon element class.
     */
    iconClass?: string;
    /**
     * Deines icon size in number.
     */
    iconSize?: number;
    /**
     * Defines icon type. Ex. 'font-awesome' or other path name.
     */
    iconType?: string;
    /**
     * Defines form submit event.
     */
    onSubmit(): void;
    /**
     * Defines primary button text
     */
    primaryBtnText?: string;
    /**
     * Defines secondary button text
     */
    secondaryBtnText?: string;
    /**
     * Defines the title of the dialog.
     */
    title: React.ReactNode;
}
declare const FormDialog: ({ children, iconClass, iconSize, iconType, onClose, onSubmit, primaryBtnText, secondaryBtnText, title, ...other }: IFormDialogProps) => JSX.Element;
export default FormDialog;
//# sourceMappingURL=FormDialog.d.ts.map